
Redmine - Defect #24041

Issue subject is not updated when you select another issue in the new "Log time" page

2016-10-10 23:46 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version: 3.3.1

Description

To reproduce:

1. Open an issue

2. Click "Log time"

3. Observe that the issue subject is displayed next to issue (issue_2.png)

4. Select another issue in the issue field

5. Observe that the issue subject is still the same  (issue_3.png) even if I selected another issue

The attached patch fixes this issue.

Associated revisions

Revision 15951 - 2016-11-18 09:11 - Jean-Philippe Lang

Issue subject is not updated when you select another issue on time entry form (#24041).

History

#1 - 2016-10-12 08:34 - Marius BĂLTEANU

- File update_issue_subject_v2.patch added

Updated the patch to use the actual condition

#2 - 2016-10-25 10:18 - Marius BĂLTEANU

- File update_issue_subject_v3.patch added

I've found a better solution which use the existing link_to_issue method. Added some assertions too.

#3 - 2016-11-07 02:44 - Toshi MARUYAMA

- Target version set to 3.2.5

#4 - 2016-11-09 21:34 - Marius BĂLTEANU

The same issue reproduces also in the edit time entry page where the call to "time_entries/new.js" is not made. The JS block which makes the call is

rendered only for new records and it is not enough to remove the if statement.

<% if @time_entry.new_record? %>

  $(document).ready(function(){

    $('#time_entry_project_id, #time_entry_issue_id').change(function(){

      $.ajax({

        url: '<%= escape_javascript new_time_entry_path(:format => 'js') %>',

        type: 'post',

        data: $('#new_time_entry').serialize()

      });

    });

  });

<% end %>

#5 - 2016-11-18 09:11 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed

This should be fixed on both new and edit forms by r15951, thanks.

#6 - 2016-11-26 09:56 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 3.2.5 to 3.4.0

Some routes were changed, setting target to next major release.

#7 - 2017-07-02 07:32 - Mischa The Evil

- Subject changed from Issue subject is not updated when you select another issue in the new "Log time" page  to Issue subject is not updated when

you select another issue in the new "Log time" page
